--- a/configure.ac
+++ b/configure.ac
@@ -67,6 +67,7 @@
 AC_PROG_CXX
 AC_PROG_CPP
 AC_PROG_RANLIB
+AM_PROG_AR
 PKG_PROG_PKG_CONFIG
 
 dnl do not add the AC_PROG_CXX default CXXFLAGS
@@ -342,7 +343,6 @@
 	CXXFLAGS="$CXXFLAGS -O2 -ffast-math -fomit-frame-pointer"
 	AC_MSG_RESULT(yes)
 else
-	CXXFLAGS="$CXXFLAGS -g"
 	AC_MSG_RESULT(no)
 fi
 
@@ -421,14 +421,17 @@
 dnl ----------------------------------------------------------
 
 AC_MSG_CHECKING(whether to use system enet)
-AC_ARG_WITH(system-enet,
-  AS_HELP_STRING(--with-system-enet, Use system enet), system_enet=$withval,
-  system_enet=no
-)
+AC_ARG_WITH([system-enet], [
+  AS_HELP_STRING([--with-system-enet], [Use system enet])], [
+  system_enet=$withval], [
+  system_enet=no])
+AC_MSG_RESULT([${system_enet}])
+
 AM_CONDITIONAL([SYSTEM_ENET], [test "x$system_enet" = xyes])
-AM_COND_IF([SYSTEM_ENET],
-		   PKG_CHECK_MODULES(LIBENET, [libenet], ,AC_MSG_ERROR([libenet not found!])),
-		   AC_CONFIG_SUBDIRS([lib-src/enet]))
+AM_COND_IF([SYSTEM_ENET], [
+  PKG_CHECK_MODULES([LIBENET], [libenet])], [
+  AC_CONFIG_SUBDIRS([lib-src/enet])
+])
 
 
 
--- a/etc/enigma.desktop
+++ b/etc/enigma.desktop
@@ -1,5 +1,5 @@
 [Desktop Entry]
-Version=1.21
+Version=1.0
 Name=Enigma
 Name[be]=Enigma
 Name[cs]=Enigma
@@ -44,5 +44,5 @@
 StartupNotify=false
 Icon=enigma
 Type=Application
-Categories=Application;Game;PuzzleGame;
+Categories=Game;X-PuzzleGame;
 
--- a/etc/Makefile.am
+++ b/etc/Makefile.am
@@ -1,18 +1,18 @@
 # if !MINGW32
 # Comply with xdg icon theme specification
-icondir = $(prefix)/share/icons/hicolor/48x48/apps
+icondir = /usr/share/icons/hicolor/48x48/apps
 icon_DATA = enigma.png
 
 # Backwards-compatible global search location for images
-pixmapdir = $(prefix)/share/pixmaps
+pixmapdir = /usr/share/pixmaps
 pixmap_DATA = enigma.png
 
 # Install .desktop file in xdg standard location
-desktopdir = $(prefix)/share/applications
+desktopdir = /usr/share/applications
 desktop_DATA = enigma.desktop
 
 # Install AppData file
-appdatadir = $(prefix)/share/appdata
+appdatadir = /usr/share/appdata
 dist_appdata_DATA = enigma.appdata.xml
 # endif !MINGW32
 
--- a/lib-src/zipios++/configure.ac
+++ b/lib-src/zipios++/configure.ac
@@ -37,6 +37,7 @@
 AC_PROG_CPP
 AC_PROG_INSTALL
 AC_PROG_RANLIB
+AM_PROG_AR
 
 dnl Checks for libraries.
 AC_CHECK_LIB(z, inflate, [cv_libz=yes], [cv_libz=no])
--- a/Makefile.am
+++ b/Makefile.am
@@ -3,12 +3,9 @@
 #   tools -> lib-src/lua
 #   src   -> tools, lib-src
 #
-SUBDIRS = m4 lib-src tools intl src data doc po etc
+SUBDIRS = m4 lib-src tools intl src data po etc
 EXTRA_DIST = enigma CHANGES ACKNOWLEDGEMENTS
 
-docdir = @datadir@/doc/enigma
-doc_DATA = README CHANGES COPYING ACKNOWLEDGEMENTS
-
 ACLOCAL_AMFLAGS = -I m4
 
 .PHONY: tolua
--- a/po/Makefile.in.in
+++ b/po/Makefile.in.in
@@ -25,12 +25,12 @@
 exec_prefix = @exec_prefix@
 datarootdir = @datarootdir@
 datadir = @datadir@
-localedir = $(datadir)/locale
+localedir = /usr/share/locale
 gettextsrcdir = $(datadir)/gettext/po
 
 INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
-MKINSTALLDIRS = @MKINSTALLDIRS@ 
+MKINSTALLDIRS = $(top_srcdir)/mkinstalldirs
 #install_sh@ -d
 mkinstalldirs = $(SHELL) $(MKINSTALLDIRS)
 
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -11,8 +11,8 @@
 
 CXXFLAGS = @CXXFLAGS@\
 	-DSYSTEM_DATA_DIR=\"$(datadir)/enigma\" \
-	-DDOCDIR=\"$(docdir)\" \
-	-DLOCALEDIR=\"$(localedir_enigma)\" \
+	-DDOCDIR=\"$(htmldir)\" \
+	-DLOCALEDIR=\"/usr/share/locale\" \
 	-I$(top_srcdir)/lib-src/zipios++  \
 	-I$(top_builddir)/lib-src/zipios++ \
 	-I$(top_srcdir)/lib-src/lua \
@@ -440,7 +440,7 @@
 
 else # not MINGW32
 
-  localedir_enigma := $(datadir)/locale
+  localedir_enigma := /usr/share/locale
   mingw_ldadd =
 
 endif
